curl --request GET \
--url 'https://api.voice.stateset.com/api/v1/voice-session-evals/by-session/{session_id}' \
--header "Authorization: Bearer $STATESET_VOICE_API_KEY"
{
"agent_key": "support_primary",
"agent_name": "StateSet Support",
"agent_version_id": "550e8400-e29b-41d4-a716-446655440003",
"call_log_id": "550e8400-e29b-41d4-a716-446655440002",
"created_at": "2024-01-15T10:30:00Z",
"id": "550e8400-e29b-41d4-a716-446655440000",
"metadata": null,
"notes": "The agent authenticated correctly and resolved the issue without escalation.",
"rubric": null,
"score": 0.92,
"session_id": "MZ1234567890abcdef1234567890abcdef",
"source": "auto",
"stream_id": "MZ1234567890abcdef1234567890abcdef",
"tags": [
"resolved",
"authenticated"
],
"tenant_id": "tenant-123",
"updated_at": "2024-01-15T10:32:22Z",
"voice_session_id": "550e8400-e29b-41d4-a716-446655440001"
}
Get Voice Session Eval By Session
Tenant-scoped endpoint for persisted voice session records, stream lookup, and evaluation history.
GET
/
api
/
v1
/
voice-session-evals
/
by-session
/
{session_id}
curl --request GET \
--url 'https://api.voice.stateset.com/api/v1/voice-session-evals/by-session/{session_id}' \
--header "Authorization: Bearer $STATESET_VOICE_API_KEY"
{
"agent_key": "support_primary",
"agent_name": "StateSet Support",
"agent_version_id": "550e8400-e29b-41d4-a716-446655440003",
"call_log_id": "550e8400-e29b-41d4-a716-446655440002",
"created_at": "2024-01-15T10:30:00Z",
"id": "550e8400-e29b-41d4-a716-446655440000",
"metadata": null,
"notes": "The agent authenticated correctly and resolved the issue without escalation.",
"rubric": null,
"score": 0.92,
"session_id": "MZ1234567890abcdef1234567890abcdef",
"source": "auto",
"stream_id": "MZ1234567890abcdef1234567890abcdef",
"tags": [
"resolved",
"authenticated"
],
"tenant_id": "tenant-123",
"updated_at": "2024-01-15T10:32:22Z",
"voice_session_id": "550e8400-e29b-41d4-a716-446655440001"
}
Tenant-scoped endpoint for persisted voice session records, stream lookup, and evaluation history.
Path parameters
Response
VoiceSessionEval
Status codes
| Code | Meaning |
|---|---|
200 | Voice session evaluation detail |
401 | Unauthorized |
404 | Evaluation not found |
500 | Internal server error |
503 | Database not configured |
curl --request GET \
--url 'https://api.voice.stateset.com/api/v1/voice-session-evals/by-session/{session_id}' \
--header "Authorization: Bearer $STATESET_VOICE_API_KEY"
{
"agent_key": "support_primary",
"agent_name": "StateSet Support",
"agent_version_id": "550e8400-e29b-41d4-a716-446655440003",
"call_log_id": "550e8400-e29b-41d4-a716-446655440002",
"created_at": "2024-01-15T10:30:00Z",
"id": "550e8400-e29b-41d4-a716-446655440000",
"metadata": null,
"notes": "The agent authenticated correctly and resolved the issue without escalation.",
"rubric": null,
"score": 0.92,
"session_id": "MZ1234567890abcdef1234567890abcdef",
"source": "auto",
"stream_id": "MZ1234567890abcdef1234567890abcdef",
"tags": [
"resolved",
"authenticated"
],
"tenant_id": "tenant-123",
"updated_at": "2024-01-15T10:32:22Z",
"voice_session_id": "550e8400-e29b-41d4-a716-446655440001"
}
Last modified on August 31, 2026